RunDataVerificationDetails¶
-
class
oci.database_migration.models.RunDataVerificationDetails(**kwargs)¶ Bases:
objectDetails for running Data Verification. This request is modeled with a type discriminator so future Data Verification run options can be added without changing the required request body contract.
Note: The migration database combination is inferred from the migrationId in the path and is not part of this request body.
Attributes
TYPE_DEFAULTA constant which can be used with the type property of a RunDataVerificationDetails. type[Required] Gets the type of this RunDataVerificationDetails. Methods
__init__(**kwargs)Initializes a new RunDataVerificationDetails object with values from keyword arguments. get_subtype(object_dictionary)Given the hash representation of a subtype of this class, use the info in the hash to return the class of the subtype. -
TYPE_DEFAULT= 'DEFAULT'¶ A constant which can be used with the type property of a RunDataVerificationDetails. This constant has a value of “DEFAULT”
-
__init__(**kwargs)¶ Initializes a new RunDataVerificationDetails object with values from keyword arguments. This class has the following subclasses and if you are using this class as input to a service operations then you should favor using a subclass over the base class:
The following keyword arguments are supported (corresponding to the getters/setters of this class):
Parameters: type (str) – The value to assign to the type property of this RunDataVerificationDetails. Allowed values for this property are: “DEFAULT”
-
static
get_subtype(object_dictionary)¶ Given the hash representation of a subtype of this class, use the info in the hash to return the class of the subtype.
-
type¶ [Required] Gets the type of this RunDataVerificationDetails. The type discriminator for Run Data Verification details.
Allowed values for this property are: “DEFAULT”
Returns: The type of this RunDataVerificationDetails. Return type: str
-